FreshPorts -- The Place For Ports If you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

Port details
vte3 Terminal widget with improved accessibility and I18N support
0.42.4_1 x11-toolkits on this many watch lists=1 search for ports that depend on this port Find issues related to this port Report an issue related to this port
Maintainer: gnome@FreeBSD.org search for ports maintained by this maintainer
Port Added: 08 Dec 2013 09:55:54
Also Listed In: gnome
License: not specified in port
Terminal widget with improved font, internationalisation and accessibility
support for the GNOME 2 desktop.  Designed to replace libzvt.

WWW: http://www.gnome.org/
SVNWeb : Homepage : PortsMon

To install the port: cd /usr/ports/x11-toolkits/vte3/ && make install clean
To add the package: pkg install vte3

PKGNAME: vte3

distinfo:

SHA256 (gnome3/vte-0.42.4.tar.xz) = 08c88bf5c0aa1dfa3711e2e83b784fb5ea82025661f30b54e93eebd5f4bce113
SIZE (gnome3/vte-0.42.4.tar.xz) = 928048


NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Build dependencies:
  1. vapigen : lang/vala
  2. bash : shells/bash
  3. bison : devel/bison
  4. msgfmt : devel/gettext-tools
  5. gmake : devel/gmake
  6. intltool-extract : textproc/intltool
  7. g-ir-scanner : devel/gobject-introspection
  8. pkgconf>=0.9.10 : devel/pkgconf
Library dependencies:
  1. libgnutls.so : security/gnutls
  2. libintl.so : devel/gettext-runtime
  3. libatk-1.0.so : accessibility/atk
  4. libglib-2.0.so : devel/glib20
  5. libgtk-3.so : x11-toolkits/gtk30
  6. libpango-1.0.so : x11-toolkits/pango

This port is required by:

for Build for Libraries for Run * - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...
Configuration Options
     No options to configure

USES:
bison compiler:c++0x gettext gmake gnome libtool pathfix  pkgconfig tar:xz gnome

Master Sites:
  1. ftp://ftp.belnet.be/mirror/ftp.gnome.org/sources/vte/0.42/
  2. ftp://ftp.cse.buffalo.edu/pub/Gnome/sources/vte/0.42/
  3. ftp://ftp.dti.ad.jp/pub/X/gnome/sources/vte/0.42/
  4. ftp://ftp.kddlabs.co.jp/pub/GNOME/sources/vte/0.42/
  5. ftp://ftp.mirrorservice.org/sites/ftp.gnome.org/pub/GNOME/sources/vte/0.42/
  6. ftp://ftp.nara.wide.ad.jp/pub/X11/GNOME/sources/vte/0.42/
  7. http://download.gnome.org/sources/vte/0.42/
  8. http://fr2.rpmfind.net/linux/gnome.org/sources/vte/0.42/
  9. http://ftp.acc.umu.se/pub/GNOME/sources/vte/0.42/
  10. http://ftp.gnome.org/pub/GNOME/sources/vte/0.42/
  11. http://linorg.usp.br/gnome/sources/vte/0.42/
  12. http://mirror.aarnet.edu.au/pub/gnome/sources/vte/0.42/
  13. http://www.gtlib.gatech.edu/pub/gnome/sources/vte/0.42/
  14. https://download.gnome.org/sources/vte/0.42/

Number of commits found: 16

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
01 Apr 2016 14:33:58
Original commit files touched by this commit  0.42.4_1
Revision:412351
mat search for other commits by this committer
Remove ${PORTSDIR}/ from dependencies, categories v, w, x, y, and z.

With hat:	portmgr
Sponsored by:	Absolight
27 Mar 2016 14:58:00
Original commit files touched by this commit  0.42.4_1
Revision:411990
tijl search for other commits by this committer
- Update security/gnutls to 3.4.10.
- Rename the LIBDANE option DANE because that's the name of the protocol
  supported by libgnutls-dane and gnutls-cli.  Also clarify the option
  description.
- Add an IDN option.
- libgnutls-openssl has been removed in 3.4.  Some ports used this library
  in their LIB_DEPENDS but no port actually required it.
- Some old API functions have been removed.  Ports that used these have been
  updated or patched to use the new API.
- Add a patch to print/cups to prevent overlinking of libgnutls.so.
- Bump PORTREVISION on dependent ports.

net-im/jabber: This port used the old API to give users fine grained
control over which crypto algorithms were used via a configuration file.
It's not immediately obvious how to port this to the new API so the port
always uses the defaults now.

www/hydra: Mark BROKEN.  This uses more removed calls than the other ports,
is said to be alpha quality and not fully functional and has been abandoned
10 years ago.

PR:		207768
Exp-run by:	antoine
Approved by:	portmgr (antoine)
04 Mar 2016 12:32:54
Original commit files touched by this commit  0.42.4
Revision:410112
kwm search for other commits by this committer
Update vte3 to 0.42.4.
14 Feb 2016 18:57:54
Original commit files touched by this commit  0.42.3
Revision:408881
kwm search for other commits by this committer
The FreeBSD GNOME team proudly presents GNOME 3.18 for FreeBSD.

The offical GNOME 3.18 release notes can be found at
https://help.gnome.org/misc/release-notes/3.18/

This update doesn't contain the glib/gtk c++ bindings which will
be done in a another update due to the requirement on c++11 and the
amount of fallout this probably will give.

GDM is still at version 3.16 due to some issues.

Bump mate-themes to use the gtk 3.18 version of the themes.

Thanks to Antoine Brodin for running the exp-runs.

This release was made possible by the following people:
  Gustau Perez
  Ting-Wei_Lan

PR:	207006
08 Aug 2015 14:11:03
Original commit files touched by this commit  0.40.2
Revision:393730
kwm search for other commits by this committer
* Remove 8.x patch.
* Make OSVERSION conditionals check OPSYS == FreeBSD. And add check for
  OPSYS == DragonFly, since they don't have zlib.pc in there base [1]
* Remove old reinplace that didn't apply anymore. And the thing it was supposed
  to handle is done elsewhere in the Makefile.

Reported by:	marino@ [1]
Tested by:	marino@
05 Aug 2015 19:13:26
Original commit files touched by this commit  0.40.2
Revision:393607  Sanity Test Failure
kwm search for other commits by this committer
The FreeBSD GNOME team proudly presents GNOME 3.16 for FreeBSD.

The offical GNOME 3.16 release notes can be found at
https://help.gnome.org/misc/release-notes/3.16/

Upgrade instructions for port users:

Delete the old tracker package with:
# pkg delete -f tracker
And user port upgrade tool of choice to upgrade.

Thanks to Antoine Brodin for running the exp-runs.

This release was made possible by the following people:
  Gustau Perez
  Ting-Wei_Lan

PR:		201980
14 May 2015 10:15:09
Original commit files touched by this commit  0.38.3
Revision:386312
mat search for other commits by this committer
MASTER_SITES cleanup.

- Replace ${MASTER_SITE_FOO} with FOO.
- Merge MASTER_SITE_SUBDIR into MASTER_SITES when possible. (This means 99.9%
  of the time.)
- Remove occurrences of MASTER_SITE_LOCAL when no subdirectory was present and
  no hint of what it should be was present.
- Fix some logic.
- And generally, make things more simple and easy to understand.

While there, add magic values to the FESTIVAL, GENTOO, GIMP, GNUPG, QT and
SAMBA macros.

Also, replace some EXTRACT_SUFX occurences with USES=tar:*.

Checked by:	make fetch-urlall-list
With hat:	portmgr
Sponsored by:	Absolight
30 Dec 2014 20:13:47
Original commit files touched by this commit  0.38.3
Revision:375852  Sanity Test Failure
kwm search for other commits by this committer
Update cinnamon to 2.4, this should fix [1] and [2].
Update totem to 3.14 now that we have gstreamer 1.4 and minor gnome updates.
Update evolution suite to 3.12.9.
Make sure gtk30 pulls in adwait-icon-theme, since it now the default theme [3].

PR:		195290 [1], 195289 [2], 195455 [3]
Obtained from:	gnome devel repo
03 Dec 2014 09:18:24
Original commit files touched by this commit  0.38.2
Revision:373802  Sanity Test Failure
kwm search for other commits by this committer
Update GNOME to 3.14.2.

This update was brought to you in collaboration with Gustua Perez

Make sure gtk30 pulls it the default theme (adwaita-icon-theme).
Update the extra gnome-shell-extensions so they work with gnome-shell 3.14.
Drop metacity from gnome3 meta-port.
Remove the gtile gnome-shell extension since it proven to be buggy.

Exp-run done by antoine@ for gdk-pixbuf2 deprecated API.

PR:		195414
Obtained from:	gnome dev repo
25 Nov 2014 20:49:21
Original commit files touched by this commit  0.38.0
Revision:373430
kwm search for other commits by this committer
Make sure vte doesn't enabled stack-protector on it own on i386 when
OSVERSION < 1000036 (taken from bsd.ssp.mk). Else it fails to build with:
libvte-2.91.so: undefined reference to `__stack_chk_fail_local'.

PR:		195267
Submitted by:	bar@
19 Nov 2014 11:49:06
Original commit files touched by this commit  0.38.0
Revision:372768  Sanity Test Failure
kwm search for other commits by this committer
The FreeBSD GNOME team proudly presents GNOME 3.14 and Cinnamon 2.2.
Gnome 3.14.1 and Cinnamon 2.2.16 are supported on FreeBSD 9.3-RELEASE and up.

This commit removes the old GNOME 2 desktop, bindings and some ports that
can't be compiled. A few ports where updated to more recent versions to
allow them to compile with this update.

Apart from updating ports to newer versions

GDM is more integrated with gnome-shell now, and handles several things for
the GNOME desktop such as screen locking. If you want to use GNOME 3 via
startx, you will have to add your own lock screen/screensaver. For example
xscreensaver
can be used for sessions started without GDM.

Shell Extensions can be installed via https://extensions.gnome.org/ , we have
(Only the first 15 lines of the commit message are shown above View all of this commit message)
01 Sep 2014 16:05:20
Original commit files touched by this commit  0.34.7_1
Revision:366894
tijl search for other commits by this committer
Convert to USES=libtool and INSTALL_TARGET=install-strip

Obtained from:	gnome-dev
29 Jul 2014 21:28:37
Original commit files touched by this commit  0.34.7
Revision:363396
antoine search for other commits by this committer
Unbreak gnome-pty-helper too
29 Jul 2014 21:20:05
Original commit files touched by this commit  0.34.7
Revision:363393
antoine search for other commits by this committer
Unbreak some reference ports

Pointy hat:	adamw
29 Jul 2014 21:07:40
Original commit files touched by this commit  0.34.7
Revision:363392
adamw search for other commits by this committer
Convert a bunch of USE_XZ to USES=tar:xz.

Approved by:	portmgr (not really, but touches unstaged ports)
08 Dec 2013 09:55:41
Original commit files touched by this commit  0.34.7
Revision:335873
kwm search for other commits by this committer
Add vte3, the Gtk 3 version of the vte terminal widget.
Split off gnome-pty-helper from vte to allow both versions of vte to be
installed at the same time.
Update comment to make it clearer which gtk+ version it is for.
Enable introspection bindings in vte.

Obtained from:	GNOME dev repo.

Number of commits found: 16

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
chromiumJul 22
krb5-114Jul 21
mariadb100-server*Jul 21
mariadb101-server*Jul 21
mariadb55-server*Jul 21
mysql55-server*Jul 21
mysql56-server*Jul 21
mysql57-server*Jul 21
openoffice-4Jul 21
openoffice-develJul 21
percona55-server*Jul 21
typo3Jul 18
typo3-ltsJul 18
atutorJul 16
atutorJul 16

18 vulnerabilities affecting 35 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 26059
Broken 80
Deprecated 122
Ignore 351
Forbidden 0
Restricted 201
No CDROM 83
Vulnerable 74
Expired 10
Set to expire 109
Interactive 0
new 24 hours 5
new 48 hours7
new 7 days24
new fortnight95
new month166

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2014 Dan Langille. All rights reserved.